SF.net SVN: morphix: [2368] trunk/morph-scripts/mmorphix/morphing-morphix-gui.sh
[email protected] Sat, 22 Jul 2006 15:32:17 -0700
| Newsgroups | gmane.linux.morphix.cvs |
|---|---|
| Message-ID | <[email protected]> |
Revision: 2368
Author: bmsleight
Date: 2006-07-22 15:32:13 -0700 (Sat, 22 Jul 2006)
ViewCVS: http://svn.sourceforge.net/morphix/?rev=2368&view=rev
Log Message:
-----------
Moving along svn stats++
Modified Paths:
--------------
trunk/morph-scripts/mmorphix/morphing-morphix-gui.sh
Modified: trunk/morph-scripts/mmorphix/morphing-morphix-gui.sh
===================================================================
--- trunk/morph-scripts/mmorphix/morphing-morphix-gui.sh 2006-07-22 19:38:43 UTC (rev 2367)
+++ trunk/morph-scripts/mmorphix/morphing-morphix-gui.sh 2006-07-22 22:32:13 UTC (rev 2368)
@@ -153,10 +153,25 @@
We need to select somewhere to store the new cd images.
Select from the following a mount points to use "
+MESSAGE_SETTING_NOT="Morphing Morphix notconfigured"
MESSAGE_SETTING_MAKEISO="Setting up Morphing Morphix
We need to make a iso image for us to morph
We will use this CD and call the image MyMorph.iso"
+MESSAGE_ISOMORPH="Introduction to isomorph
+
+LiveCD are stored as .iso files. Which can then be written
+to a CD. One of the morphing-tools is isomorph. This can be
+used to manipulate morphix iso files.
+
+Isomorph can list, add, del and get files on the Morphix
+LiveCDs.
+
+Isomorph is used in all of the other examples.
+
+For example we will now run the command :-
+isomorph --list MyMorph.iso
+"
}
@@ -332,6 +347,7 @@
sudo umount $MNT_POINT ;
rm $TMP_FILE 2>/dev/null
rm $TMP_FILE_2 2>/dev/null
+ rm $TMP_SCRIPT 2>/dev/null
exit 0 ;;
1) $1 ;;
esac
@@ -449,12 +465,18 @@
fi
log_and_do_not_do_command "#Setting-up complete"
log_file "completed set-up"
+ MM_IS_SET_UP="Y"
main_menu
}
-is_mmorphx_set_up ()
+is_mmorphix_set_up ()
{
- not_written
+ if [ "$MM_IS_SET_UP" = "" ]
+ then
+ xdialog_message "$MESSAGE_SETTING_NOT"
+ else
+ return 1
+ fi
}
@@ -470,8 +492,16 @@
###########################################################
isomorph_intro ()
{
- is_mmorphx_set_up
- log_file "isomorph_intro"
+ is_mmorphix_set_up
+ if [ "$?" = "1" ]
+ then
+ log_file "isomorph_intro"
+ #$MNT_POINT/mmorphix/iso/$SETTING_MYMORPH
+ xdialog_message "$MESSAGE_ISOMORPH"
+ log_and_do_command "sudo isomorph --list $MNT_POINT/mmorphix/iso/$SETTING_MYMORPH >$TMP_FILE_2"
+ TMP=$(cat $TMP_FILE_2)
+ xdialog_message "$TMP"
+ fi
main_menu
}
@@ -486,8 +516,11 @@
###########################################################
build_minimodule ()
{
- is_mmorphx_set_up
- log_file "build_minimodule"
+ is_mmorphix_set_up
+ if [ "$?" = "1" ]
+ then
+ log_file "build_minimodule"
+ fi
main_menu
}
@@ -500,9 +533,13 @@
###########################################################
make_mini ()
{
- is_mmorphx_set_up
- log_file "make_mini"
+ is_mmorphix_set_up
+ if [ "$?" = "1" ]
+ then
+ log_file "make_mini"
+ fi
main_menu
+
}
###########################################################
@@ -515,8 +552,11 @@
###########################################################
build_mainmodule ()
{
- is_mmorphx_set_up
- log_file "build_mainmodule"
+ is_mmorphix_set_up
+ if [ "$?" = "1" ]
+ then
+ log_file "build_mainmodule"
+ fi
main_menu
}
@@ -531,8 +571,11 @@
###########################################################
inside_mainmodule ()
{
- is_mmorphx_set_up
- log_file "inside_mainmodule"
+ is_mmorphix_set_up
+ if [ "$?" = "1" ]
+ then
+ log_file "inside_mainmodule"
+ fi
main_menu
}
@@ -545,8 +588,11 @@
###########################################################
rebrand_iso ()
{
- is_mmorphx_set_up
- log_file "inside_mainmodule"
+ is_mmorphix_set_up
+ if [ "$?" = "1" ]
+ then
+ log_file "inside_mainmodule"
+ fi
main_menu
}
@@ -560,8 +606,11 @@
###########################################################
autobuild_whole_iso ()
{
- is_mmorphx_set_up
- log_file "autobuild_whole_iso"
+ is_mmorphix_set_up
+ if [ "$?" = "1" ]
+ then
+ log_file "autobuild_whole_iso"
+ fi
main_menu
}
@@ -575,7 +624,9 @@
###########################################################
test_qemu ()
{
- is_mmorphx_set_up
+ is_mmorphix_set_up
+ if [ "$?" = "1" ]
+ then
log_file "test_qemu"
main_menu
}
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
-------------------------------------------------------------------------
Take Surveys. Earn Cash. Influence the Future of IT
Join SourceForge.net's Techsay panel and you'll get the chance to share your
opinions on IT & business topics through brief surveys -- and earn cash
http://www.techsay.com/default.php?page=join.php&p=sourceforge&CID=DEVDEV